Comment 4 for bug 1382977

Created attachment 5675
Fix "Open With" default app with glib >= 2.41

Here's a quick and dirty fix; maybe someone else can come up with a more elegant solution. :)